Bug 1219840 - Remote queries fail when security is enabled and current user is not an ADMIN
Summary: Remote queries fail when security is enabled and current user is not an ADMIN
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER4
: 6.5.0
Assignee: Adrian Nistor
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-08 12:57 UTC by Adrian Nistor
Modified: 2015-06-23 12:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-23 12:25:14 UTC
Type: Bug


Attachments (Terms of Use)
server.log (7.65 KB, text/plain)
2015-05-08 13:00 UTC, Adrian Nistor
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-5450 0 Major Resolved Remote queries fail when security is enabled and current user is not an ADMIN 2016-08-08 11:43:49 UTC

Description Adrian Nistor 2015-05-08 12:57:07 UTC
QueryFacadeImpl performs an unprivileged cache config check to determine if the cache is indexed. This requires ADMIN privileges for no good reason and fails.

Comment 2 Adrian Nistor 2015-05-08 13:00:33 UTC
Created attachment 1023472 [details]
server.log

Comment 3 JBoss JIRA Server 2015-05-08 14:42:05 UTC
Adrian Nistor <anistor> updated the status of jira ISPN-5450 to Coding In Progress


Note You need to log in before you can comment on or make changes to this bug.